--- title: "Report webhook notification" slug: "report-webhook-notification" updated: 2025-11-26T06:31:12Z published: 2025-11-26T06:31:12Z canonical: "docs.xendit.co/report-webhook-notification" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.xendit.co/llms.txt > Use this file to discover all available pages before exploring further. # Report webhook notification Post/your_report_webhook_url Webhook notification that will be sent to your defined webhook url for updates to report generation status. Header parametersx-callback-tokenstring Verification token that can be used to validate webhook requests Body parameters Report generation status callback Report Generation Completed ```json { "id": "report_068581fd-ff7c-447f-8b16-a2ac00ebf98c", "url": "https://transaction-report-files.s3.us-west-2.amazonaws.com/675bdaf542c2f448122e71d5/LIVE_TRANSACTIONS_REPORT_068581fd-ff7c-447f-8b16-a2ac00ebf98c_20250423040155_20250627040155.csv?AWSAccessKeyId=AKIAWDX4EPHWLBHIQYEQ&Expires=1751548921&Signature=nng1ZrXLGtVc7xSJbIigUXabPWs%3D", "type": "TRANSACTIONS", "filter": { "from": "2025-04-23T04:01:55.574Z", "to": "2025-06-27T04:01:55.574Z" }, "format": "CSV", "status": "COMPLETED", "created": "2025-07-02T13:21:31.355Z", "updated": "2025-07-02T13:22:01.630Z", "currency": "MYR", "business_id": "675bdaf542c2f448122e71d5" } ``` Report Generation Failed ```json { "id": "report_5c1b34a2-6ceb-4c24-aba9-c836bac82b28", "type": "BALANCE_HISTORY", "filter": { "from": "2021-06-23T04:01:55.574Z", "to": "2021-06-24T04:01:55.574Z" }, "format": "CSV", "status": "FAILED", "created": "2021-06-24T04:01:55.570Z", "updated": "2021-06-24T04:01:55.570Z", "currency": "IDR", "business_id": "5f34f60535ba7c1c0eed846a" } ``` Expand Allobject idstring Report ID urlstring URL to download after report is completed. The file to download will only be accessible for 24 hours. When the url is expired, you will need to send a new request to generate the report. typestring The type of report that will be generated Valid values[ "BALANCE_HISTORY", "TRANSACTIONS", "UPCOMING_TRANSACTIONS", "DETAILED_TRANSACTIONS" ] filterobject (ReportFilter) Filtering that are applied to report The combination of `from` and `to` must be less than 92 days. fromstring (date-time) Required The start time of the transaction to be filtered (ISO 8601) Example2025-07-01T00:00:00Z tostring (date-time) Required The end time of the transaction to be filtered (ISO 8601) Example2025-07-31T23:59:59Z formatstring The format of the report. Available format is `CSV`. Valid values[ "CSV" ]Default"CSV" statusstring Valid values[ "PENDING", "COMPLETED", "FAILED" ] createdstring The time when the report request is created at UTC+0. updatedstring The time when the report is updated at UTC+0. currencystring The currency to filter. Valid values[ "IDR", "PHP", "USD", "VND", "THB", "MYR", "SGD", "EUR", "GBP", "HKD", "AUD" ]Default"IDR" business_idstring Unique ID generated by Xendit for the particular file Responses200 OK 400 Bad Request - Invalid webhook payload